import { h } from '@stencil/core';
/** Class representing a card. */
export class Card {
    // todo: ??
    // @Prop() collapsible: boolean = false;
    // @Prop() collapsed: boolean = false;
    // @Prop() transparent: boolean = false;
    /**
     * Renders the card.
     * @return {html} The rendered html.
     */
    render() {
        return (h("div", null,
            h("slot", null)));
    }
    static get is() { return "ema-card"; }
    static get originalStyleUrls() { return {
        "$": ["card.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["card.css"]
    }; }
}
